/***************************************************************************
                          knetworkinterface.cpp  -  description
                             -------------------
    begin                : Mon Jan 13 2003
    copyright            : (C) 2003 by Juan Luis Baptiste
    email                : jbaptiste@merlinux.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "knetworkinterface.h"

KNetworkInterface::KNetworkInterface(){
}
KNetworkInterface::~KNetworkInterface(){
}

TQString KNetworkInterface::getBootProto(){
  return bootProto;
}
TQString KNetworkInterface::getBroadcast(){
  return broadcast;
}
TQString KNetworkInterface::getDeviceName(){
  return deviceName;
}
TQString KNetworkInterface::getIpAddress(){
  return ipAddress;
}
TQString KNetworkInterface::getNetmask(){
  return netmask;
}
TQString KNetworkInterface::getNetwork(){
  return network;
}
TQString KNetworkInterface::getOnBoot(){
  return onBoot;
}
TQString KNetworkInterface::getGateway(){
  return gateway;
}

void KNetworkInterface::setBootProto(const TQString &bootProto){
  KNetworkInterface::bootProto = bootProto;
}
void KNetworkInterface::setBroadcast(const TQString &broadcast){
  KNetworkInterface::broadcast = broadcast;
}
void KNetworkInterface::setDeviceName(const TQString &deviceName){
  KNetworkInterface::deviceName = deviceName;
}
void KNetworkInterface::setIpAddress(const TQString &ipAddress){
  KNetworkInterface::ipAddress = ipAddress;
}
void KNetworkInterface::setNetmask(const TQString &netmask){
  KNetworkInterface::netmask = netmask;
}
void KNetworkInterface::setNetwork(const TQString &network){
  KNetworkInterface::network = network;
}
void KNetworkInterface::setOnBoot(const TQString &onBoot){
  KNetworkInterface::onBoot = onBoot;
}
void KNetworkInterface::setGateway(const TQString &gateway){
  KNetworkInterface::gateway = gateway;
}
bool KNetworkInterface::isActive(){
  return active;
}
void KNetworkInterface::setActive(bool active){
  KNetworkInterface::active = active;  
}
/** No descriptions */
TQString KNetworkInterface::getMacAddress(){
  return hwAddress;
}
/** No descriptions */
void KNetworkInterface::setMacAddress(const TQString &addr){
   KNetworkInterface::hwAddress = addr;
}
/** No descriptions */
TQString KNetworkInterface::getDescription(){
  return description;
}
/** No descriptions */
void KNetworkInterface::setDescription(const TQString &desc){
  KNetworkInterface::description = desc;
}

/** No descriptions */
TQString KNetworkInterface::getType(){
  return type;
}
/** No descriptions */
void KNetworkInterface::setType(const TQString &type){
  KNetworkInterface::type = type;
}
